Bug 426642 - deluge hangs when"new version avaible"
deluge hangs when"new version avaible"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 11:04 EST by Mamoru TASAKA
Modified: 2007-12-29 21:33 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.7.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 12:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-12-23 11:04:04 EST
Description of problem:
When new version of deluge is released, lauching deluge
always hangs at starup with showing messages like
"New version available. Do you want to download it?"
(for most times this message does not show up, only 
 2 windows appear and then deluge hangs)

Version-Release number of selected component (if applicable):
deluge-0.5.7.1-2.fc9

How reproducible:
100%, when new version of deluge is released.

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
See above

Expected results:
deluge should not hang

Additional info:
As a workarround:

--- /usr/lib/python2.5/site-packages/deluge/common.py.orig      2007-12-10
05:59:33.000000000 +0900
+++ /usr/lib/python2.5/site-packages/deluge/common.py.new       2007-12-23
23:17:52.000000000 +0900
@@ -231,6 +231,7 @@
     Send_Info_Thread().start()
 
 def new_release_check():
+    return
     import threading
     class ReleaseThread(threading.Thread):
        def __init__(self):
Comment 1 Mamoru TASAKA 2007-12-23 23:33:31 EST
Oops, I noticed that you're on vacation. I will fix this.
Comment 2 Mamoru TASAKA 2007-12-24 10:09:37 EST
Should be fixed in
0.5.7.95-1.fc9
0.5.7.1-2.fc8
0.5.7.1-2.fc7
Comment 3 Fedora Update System 2007-12-28 12:18:29 EST
deluge-0.5.7.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-12-28 12:20:11 EST
deluge-0.5.7.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Peter Gordon 2007-12-29 18:21:05 EST
Thanks very much for the quick fix! 
Comment 6 Mamoru TASAKA 2007-12-29 21:33:30 EST
You are welcome :) I actually use deluge.

Note You need to log in before you can comment on or make changes to this bug.